package com.ebei.screen.controller.eba;

import com.alibaba.fastjson.JSONObject;
import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.common.util.EbaUtils;
import com.ebei.screen.service.EbaSystemService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.web.bind.annotation.*;

import javax.annotation.PostConstruct;
import java.util.Map;

/**
 * @author Liu.x
 * @description EBA系统大屏
 */
@Api(tags = "EBA系统大屏")
@RestController
@RequestMapping("eba/system")
public class EbaSystemController {

    @Autowired
    private EbaSystemService ebaSystemService;

    @Autowired
    private MongoTemplate mongoTemplate;

    @PostMapping("test")
    public String test() {
        //EbaUtils.insertMobjectList();
        JSONObject map1 = EbaUtils.deviceSystem;
        JSONObject map2 = EbaUtils.deviceType;
        JSONObject map3 = EbaUtils.deviceParam;
        JSONObject map4 = EbaUtils.deviceAlarmType;
        JSONObject map5 = EbaUtils.fireDeviceType;
        JSONObject xx1 = map1.getJSONObject("4");
        JSONObject xx2 = map2.getJSONObject("100");
        JSONObject xx3 = map3.getJSONObject("5");
        JSONObject xx4 = map4.getJSONObject("4");
        JSONObject xx5 = map5.getJSONObject("4");
        System.out.println(xx1);
        System.out.println(xx2);
        System.out.println(xx3);
        System.out.println(xx4);
        System.out.println(xx5);
        return "success";
    }

    /**
     * 初始化数据
     */
    @PostConstruct
    public void initData() {
        ebaSystemService.initData();
    }

    @ApiOperation("实时数据回调接口对查")
    @PostMapping("/realTimeCallback")
    public Integer realTimeCallback(@RequestBody Map<String, String> params) {
        return ebaSystemService.realTimeCallback(params);
    }

    @ApiOperation("获取项目列表 ✔")
    @PostMapping("/getProjectList")
    public ResponseBean getProjectList() {
        return ebaSystemService.getProjectList();
    }

    @ApiOperation("获取实时设备列表 ✔")
    @PostMapping("/getDeviceList/{projectId}")
    public ResponseBean getDeviceList(@PathVariable String projectId) {
        return ebaSystemService.getDeviceList(projectId);
    }

    @ApiOperation("获取实时火警和预警 ✔")
    @PostMapping("/getRealTimeList/{projectId}")
    public ResponseBean getRealTimeList(@PathVariable String projectId) {
        return ebaSystemService.getRealTimeList(projectId);
    }

}
